package swingtables.logic;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

public class DatabaseSetup {

    public static void main(String[] args) throws SQLException {
        try (Connection connection = MoviesDatasource.getInstance().getConnection(); Statement stmt = connection.createStatement()) {
            stmtexecute(stmt, "CREATE TABLE GENRE (ID INT PRIMARY KEY, GENRE_NAME VARCHAR(12))");
            stmtexecute(stmt, "CREATE TABLE MOVIE (ID INT PRIMARY KEY, TITLE VARCHAR(40), YEAR_OF_PRODUCTION INT, COLOR INT, GENRE INT CONSTRAINT FK_MOV_GEN REFERENCES GENRE ON DELETE CASCADE ON UPDATE RESTRICT)");
            stmtexecute(stmt, "CREATE TABLE SEQ (VALUUE INT)");
            stmtexecute(stmt, "INSERT INTO GENRE VALUES (0, 'Comedy')");
            stmtexecute(stmt, "INSERT INTO GENRE VALUES (1, 'Drama')");
            stmtexecute(stmt, "INSERT INTO GENRE VALUES (2, 'Biography')");
            stmtexecute(stmt, "INSERT INTO GENRE VALUES (3, 'Action')");
            stmtexecute(stmt, "INSERT INTO GENRE VALUES (4, 'Adventure')");
            stmtexecute(stmt, "INSERT INTO MOVIE VALUES (10, 'The Dark Knight', 2008, 1, 3)");
            stmtexecute(stmt, "INSERT INTO MOVIE VALUES (11, 'Il buono, il brutto, il cattivo', 1966, 1, 4)");
            stmtexecute(stmt, "INSERT INTO MOVIE VALUES (12, 'Intouchables', 2011, 1, 0)");
            stmtexecute(stmt, "INSERT INTO MOVIE VALUES (13, 'Rush', 2013, 1, 2)");
            stmtexecute(stmt, "INSERT INTO SEQ VALUES (20)");
        }
    }

    private static void stmtexecute(Statement stmt, String sql) {
        try {
            stmt.execute(sql);
        } catch (SQLException ex) {
            //ex.printStackTrace(System.err);
            System.err.println(ex.getMessage());
        }
    }
}
