package swingtables.logic;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Calendar;

public class DbMovie extends Movie {

    static void addMovie(ResultSet rs) throws SQLException {
        DbMovie dbMovie = new DbMovie();
        dbMovie.setId(MoviesDatasource.getInstance().obtainNewId());
        dbMovie.setTitle("<new movie>");
        dbMovie.setColor(true);
        dbMovie.setYearOfProduction(Calendar.getInstance().get(Calendar.YEAR));
        dbMovie.setGenre(MoviesDatasource.getInstance().getGenres().get(0));
        dbMovie.update(rs);
    }

    public DbMovie(ResultSet rs) throws SQLException {
        setId(rs.getInt("ID"));
        setTitle(rs.getString("TITLE"));
        setColor(rs.getBoolean("COLOR"));
        setYearOfProduction(rs.getInt("YEAR_OF_PRODUCTION"));
        setGenre(DbGenre.getById(rs.getInt("GENRE")));
    }

    private DbMovie() {
    }

    void update(ResultSet rs) throws SQLException {
        rs.updateInt("ID", getId());
        rs.updateString("TITLE", getTitle());
        rs.updateBoolean("COLOR", isColor());
        rs.updateInt("YEAR_OF_PRODUCTION", getYearOfProduction());
        rs.updateInt("GENRE", getGenre().getId());
    }
    
}
